import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

class LottoHistogramCanvas extends Canvas 
{
	private static int groundColor = 0x000000;
	LottoHistogram test2;
	private Display display;
	private int w, h;
	
    public LottoHistogramCanvas(LottoHistogram test2)
    {
		this.test2 = test2;
		display = Display.getDisplay(test2);
    }
    
    public void init()
    {
		h = getHeight();
		w = getWidth();
		repaint();
    }
    
	protected void paint(Graphics g)
	{
		g.setColor(0,0,0);
		g.fillRect(0,0,w,h);
		int number[] = {5, 6, 1, 6, 7, 6, 8, 3, 6, 6,
						2, 7, 5, 4, 9, 5, 5, 3, 3, 9,
						7, 3, 4, 3, 7, 6, 6, 5, 9, 6,
						4, 6, 5, 7, 5,10, 7, 2, 8, 3,
						2, 3};
		for(int i=0;i<42;i++)
		{
			g.setColor(0, (i % 2 == 0) ? (255) : (0), (i % 2 == 0) ? (0) : (255));
			g.fillRect((i+1) * 3 * (w / 85), h - h / 42 * number[i],w / 85, h / 42 * number[i] );
			g.setColor(0, (i % 2 == 0) ? (255) : (0), (i % 2 == 0) ? (0) : (255));
			g.drawString( (i+1) + "",(i+1) * 3 * (w / 85), ((i % 4 ) * (10)), 0);
		}    
	}
}